[botan-devel] Updates on Botan 1.11 + MinGW

Jack Lloyd lloyd at randombit.net
Wed Mar 27 16:40:16 EDT 2013


I am mostly working on Linux with GCC 4.7 and haven't had any problems
with it so it may be MinGW specific. Have you tried running the test
suite with a 4.7-compiled botan?

You shouldn't actually need a 4.8-compiled Qt; I believe (at least on
Linux, maybe this is different on Windows) that GCC ABI should be the
same between compiler versions as recent as 4.7 and 4.8, even in C++11
land.

Jack

On Wed, Mar 27, 2013 at 02:49:27PM -0300, Seba wrote:
> Well, i got it working.
> 
> Finally i got Botan 1.11 compiled with MinGW64 (from
> http://sourceforge.net/projects/mingwbuilds/) with gcc 4.8. At least BER
> encoding doesnt crash the application like before (with Qt's MinGW gcc4.7).
> 
> I did get a crash if i use Botan::Win32_EntropySource entropySource. Adding
> entropy source to RNG makes the application crash when is closing and
> freeing variables (at return). I guess theres something wrong there with
> the windows dependent module.
> 
> This is good news, although in order to use botan 1.11 with Qt5 then Qt5
> should probably need to be compiled with the MinGW64 with gcc4.8, which is
> not that nice. Not sure whats in Qt's own mingw, since they distribute the
> one from mingw-builds with the gcc 4.7. It may have some bugs or something
> that breaks botan in that version, not sure.
> 
> Has anyone tried this? Mixing Botan 1.11 with latest Qt distribution?
> 
> thanks!
> Sebastian.

> _______________________________________________
> botan-devel mailing list
> botan-devel at randombit.net
> http://lists.randombit.net/mailman/listinfo/botan-devel



More information about the botan-devel mailing list